> For the complete documentation index, see [llms.txt](https://docs.currents.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.currents.dev/getting-started/other-frameworks/jest/troubleshooting.md).

# Troubleshooting Jest

Troubleshooting Jest integration with Currents

{% hint style="info" %}
Run doesn't show up in Currents? Start with [Missing Runs](/guides/missing-runs.md). This page covers collecting debug information for support.
{% endhint %}

If you are experiencing issues with using `@currents/jest`, please collect more information about the failure and submit a support request via our [support channels](/resources/support.md).

### 1. Collecting Environment Information

Please collect the following information to help us effectively debug the problem:

* The associated dashboard Run URL.
* Screenshots, if applicable.
* Your setup method and configuration files.
* The exact command used to run Jest.
* Environment information (use the command below).

Use the following command to print information about your CI environment:

```bash
npx envinfo --system --binaries --browsers --npmPackages --duplicates --npmGlobalPackages
```

### 2. Activate Debug Mode

Set `DEBUG=currents*` before running `jest` to obtain detailed information about the reporter execution process.

For more details on how to troubleshoot Jest tests, refer to [their documentation](https://jestjs.io/docs/troubleshooting).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.currents.dev/getting-started/other-frameworks/jest/troubleshooting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
